# nng_http_client_alloc(3http) Manual Page

## NAME

nng_http_client_alloc - allocate HTTP client

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>

    int nng_http_client_alloc(nng_http_client *clientp, const nng_url *url);

## DESCRIPTION

The `nng_http_client_alloc()` allocates an HTTP client suitable for connecting to the server identified by url and stores a pointer to it in the location referenced by clientp.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient free memory exists.
`NNG_ENOTSUP` | HTTP not supported.

## SEE ALSO

nng_http_client_connect(3http), nng_http_client_free(3http), nng_strerror(3), nng_url_parse(3), nng(7)